AstBrowserUiPreferences (groovy 2.4.7 API)
Date: 2016-06-03

Package: groovy.inspect.swingui

## [Groovy] Class AstBrowserUiPreferences

- groovy.inspect.swingui.AstBrowserUiPreferences

- This class sets and restores control positions in the browser.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `decompiledSourceFontSize`
    `def` | `frameLocation`
    `def` | `frameSize`
    `def` | `horizontalDividerLocation`
    `CompilePhaseAdapter` | `selectedPhase`
    `boolean` | `showClosureClasses`
    `boolean` | `showScriptClass`
    `boolean` | `showScriptFreeForm`
    `boolean` | `showTreeView`
    `def` | `verticalDividerLocation`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AstBrowserUiPreferences ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `def` | `save(def frame, def vSplitter, def hSplitter, def scriptFreeFormPref, def scriptClassPref, def closureClassesPref, CompilePhaseAdapter phase, def showTreeView)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### int decompiledSourceFontSize

    - #### final def frameLocation

    - #### final def frameSize

    - #### final def horizontalDividerLocation

    - #### final CompilePhaseAdapter selectedPhase

    - #### final boolean showClosureClasses

    - #### final boolean showScriptClass

    - #### final boolean showScriptFreeForm

    - #### final boolean showTreeView

    - #### final def verticalDividerLocation

  - ### Constructor Detail

    - #### AstBrowserUiPreferences()

  - ### Method Detail

    - #### def save(def frame, def vSplitter, def hSplitter, def scriptFreeFormPref, def scriptClassPref, def closureClassesPref, CompilePhaseAdapter phase, def showTreeView)